## ghdl 1.0.0+dfsg

=== pyGHDL/requirements.txt ===
pydecor>=2.0.1
pyVHDLModel>=0.7.3
