=== debian/changelog ===
ghdl (1.0.0+dfsg-8ubuntu1) kinetic; urgency=medium

  * debian/patches/llvm14.0.patch: Allow building with LLVM 14.0
    (LP: #1983908).
  * debian/rules: Skip testsuite on armhf (LP: #1984138).

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Tue, 09 Aug 2022 11:40:42 -0400

ghdl (1.0.0+dfsg-8) unstable; urgency=medium

  * Add Depends on gcc to ghdl-gcc and ghdl-llvm packages as that is used by
    default for linking simulations
  * Add gcc and libc6-dev to autopkgtest Depends for ghdl-mcode as that is
    used by the testsuite for VPI tests

 -- Andreas Bombe <aeb@debian.org>  Tue, 15 Feb 2022 01:38:02 +0100

ghdl (1.0.0+dfsg-7) unstable; urgency=medium

  * Run testsuite during package build
  * Add autopkgtest configuration
  * Use current name of shared-lib-without-dependency-information lintian
    override
  * Update years in d/copyright

 -- Andreas Bombe <aeb@debian.org>  Sun, 13 Feb 2022 18:11:29 +0100

ghdl (1.0.0+dfsg-6) unstable; urgency=medium

  * Add llvm13.0.patch to allow building with LLVM 13.0 (Closes: #1000923)
  * Change versioning patch to the more general variant that was upstreamed
  * Refresh llvm11.1.0.patch
  * Add Forwarded tags to Debian patches

 -- Andreas Bombe <aeb@debian.org>  Wed, 22 Dec 2021 03:50:59 +0100

ghdl (1.0.0+dfsg-5) unstable; urgency=medium

  * Add llvm11.1.0.patch to enable building with LLVM 11.1 (Closes: #997729)

 -- Jonathan McDowell <noodles@earth.li>  Tue, 02 Nov 2021 08:49:46 +0000

ghdl (1.0.0+dfsg-4) unstable; urgency=medium

  * Add llvm12.0.patch from Ubuntu to enable building with LLVM 12
    (Closes: #989081)
  * Refresh patches
  * Bump Standards-Version to 4.6.0, no changes needed

 -- Andreas Bombe <aeb@debian.org>  Tue, 14 Sep 2021 01:51:47 +0200

ghdl (1.0.0+dfsg-3) unstable; urgency=medium

  * Fix Built-Using field just introduced in ghdl-gcc, it needs to record the
    source instead of the binary package name (Closes: 987528)

 -- Andreas Bombe <aeb@debian.org>  Sun, 25 Apr 2021 23:07:51 +0200

ghdl (1.0.0+dfsg-2) unstable; urgency=medium

  * Add Built-Using field to ghdl-gcc to record use of gcc source package
    (Closes: 987528)

 -- Andreas Bombe <aeb@debian.org>  Sun, 25 Apr 2021 20:16:13 +0200

ghdl (1.0.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.0.0+dfsg
  * Update d/copyright for 1.0.0 changes and exclude some more testsuites
  * Adapt versioning patch to changes in Makefile.in
  * Remove .../vhdl/synopsys and .../vhdl/mentor directories from
    ghdl-*.install, they are not installed separately anymore
  * Add .../vhdl/grt-*.* to d/ghdl-gcc.install and d/ghdl-llvm.install
  * Drop allow-llvm11 patch, already allowed with new upstream version
  * Drop patch remove-vital-from-build, use configure option
    --enable-gplcompat instead
  * Add clean-more patch so that "make distclean" really cleans up everything
  * Override dh_auto_clean and dh_auto_test to prevent debhelper errors about
    python-distutils, presumably because of pyGHDL which isn't enabled in the
    package yet
  * Exclude an .orig file that exists in the upstream release from dh_clean

 -- Andreas Bombe <aeb@debian.org>  Thu, 11 Feb 2021 02:29:19 +0100
