=== debian/tests/control ===
Test-Command: debian/tests/ghdl-tests autopkgtest gcc
Depends: ghdl-gcc
Restrictions: skip-not-installable

Test-Command: debian/tests/ghdl-tests autopkgtest llvm
Depends: ghdl-llvm
Restrictions: skip-not-installable

Test-Command: debian/tests/ghdl-tests autopkgtest mcode
Depends: ghdl-mcode, gcc, libc6-dev
Restrictions: skip-not-installable
