=== debian/control ===
--- 
+++ 
@@ -1,20 +1,22 @@
 Source: ghdl
 Section: electronics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
+Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
 Uploaders: Andreas Bombe <aeb@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               gnat-10,
-               gcc-10-source <!pkg.ghdl.nogcc>,
+               dh-ada-library (>= 8.1),
+               gnat-12,
+               gcc-12-source <!pkg.ghdl.nogcc>,
                libisl-dev (>= 0.14) <!pkg.ghdl.nogcc>,
                libmpc-dev (>= 1.0) <!pkg.ghdl.nogcc>,
                libmpfr-dev (>= 3.0.0-9~) <!pkg.ghdl.nogcc>,
                libgmp-dev (>= 2:5.0.1~) <!pkg.ghdl.nogcc>,
+               texinfo <!pkg.ghdl.nogcc>,
                llvm-dev (>= 1:3.5) <!pkg.ghdl.nollvm>,
+               llvm-dev (<< 1:15~) <!pkg.ghdl.nollvm>,
                clang (>= 1:3.5) <!pkg.ghdl.nollvm>,
                zlib1g-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/ghdl/ghdl
 Vcs-Browser: https://salsa.debian.org/electronics-team/ghdl/ghdl
 Vcs-Git: https://salsa.debian.org/electronics-team/ghdl/ghdl.git
@@ -53,7 +55,7 @@
 
 Package: ghdl-common
 Architecture: any
-Depends: ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Breaks: ghdl (<< 0.37+dfsg2)
 Replaces: ghdl (<< 0.37+dfsg2)
 Description: VHDL compiler/simulator (common files)
@@ -102,3 +104,45 @@
  way for high speed simulation.
  .
  This package contains the compiler with the LLVM backend.
+
+Package: ghdl-tools
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Breaks: gtkwave (<< 3.3.110~)
+Replaces: gtkwave (<< 3.3.110~)
+Description: VHDL compiler/simulator (tools)
+ GHDL is a compiler and simulator for VHDL, a Hardware Description Language.
+ GHDL is not an interpreter: it allows you to analyse and elaborate sources to
+ generate machine code from your design. Native program execution is the only
+ way for high speed simulation.
+ .
+ This package contains ghwdump, a simple command line tool to extract
+ information from GHW files produced by GHDL and display it as text. It is
+ mainly intended for use in debugging and is not needed for regular use of
+ GHDL, where a wavefile visualization tool like gtkwave would normally be used.
+
+Package: libghdl-2-0-0
+Architecture: any
+Built-Using: ${Built-Using-GCC}
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: same
+Description: VHDL compiler/simulator (shared library)
+ GHDL is a compiler and simulator for VHDL, a Hardware Description Language.
+ GHDL is not an interpreter: it allows you to analyse and elaborate sources to
+ generate machine code from your design. Native program execution is the only
+ way for high speed simulation.
+ .
+ This package contains the shared library to access GHDL internals.
+
+Package: libghdl-dev
+Architecture: any
+Built-Using: ${Built-Using-GCC}
+Depends: libghdl-2-0-0 (= ${binary:Version}), ${misc:Depends}
+Multi-Arch: same
+Description: VHDL compiler/simulator (library development files)
+ GHDL is a compiler and simulator for VHDL, a Hardware Description Language.
+ GHDL is not an interpreter: it allows you to analyse and elaborate sources to
+ generate machine code from your design. Native program execution is the only
+ way for high speed simulation.
+ .
+ This package contains the files required to compile programs using libghdl.
